camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Freeman Fang <freeman.f...@gmail.com>
Subject Re: [jira] Commented: (CAMEL-559) Upgrade to ActiveMQ 5.1.0
Date Sun, 01 Jun 2008 08:35:42 GMT
Hi claus,

I have the same problem,  activemq 5.0 release has dependency of 
activeio-core 3.1 snapshot, but now this snapshot get removed from 
apache repo.
And this problem get resolved in activemq 5.1 release, so upgrade to 5.1 
should resolve it.

Cheers

Freeman

Claus Ibsen wrote:
> Hi
>
> I get the same error when I remove camel + activemq from my local m2 repo.
>
> I do think it would be great to jump to ActiveMQ 5.1.0 in Camel 1.4 if we can figure
out why the unit tests fails. Maybe you or James could take a peek that has deep expereince
with the ActiveMQ codebase as well.
>
> Hadrian feel free to reassign the task to you. I am currently working on other minor
maven issues - I have trouble witht the camel-router archetype etc.
>
>
> Med venlig hilsen
>  
> Claus Ibsen
> ......................................
> Silverbullet
> Skovsgårdsvænget 21
> 8362 Hørning
> Tlf. +45 2962 7576
> Web: www.silverbullet.dk
> -----Original Message-----
> From: Hadrian Zbarcea [mailto:hzbarcea@gmail.com] 
> Sent: 31. maj 2008 18:35
> To: camel-dev@activemq.apache.org
> Subject: Re: [jira] Commented: (CAMEL-559) Upgrade to ActiveMQ 5.1.0
>
> Claus, I'll be going to the beach in a few mins.  I'll do it this  
> evening when back.
> Awsome, thanks!
>
> Btw, if I remove both activemq and camel from my local m2 repo, i hit  
> the error below.  After moving to activemq 5.1 yesterday this went  
> away, but I hit the test error you mentioned too.  I suspect the issue  
> is in activemq 5.0.0 dependencies, but didn't delve deeper into it.
>
> I would also like to continue a bit the tangles thing.  There are  
> still a few low hanging fruits, I think.  Others will be very hard to  
> solve, but I'd like to try.  I think we should start thinking about a  
> 1.4 release too.
>
> One more thing.  We hang out on the #camel irc channel at codehaus.   
> If you could join that it would be great to have some more interactive  
> ways of, well, interacting :).
>
> Cheers,
> Hadrian
>
>
> 1) org.apache.activemq:activeio-core:jar:3.1-SNAPSHOT
>
>    Try downloading the file manually from the project website.
>
>    Then, install it using the command:
>        mvn install:install-file -DgroupId=org.apache.activemq - 
> DartifactId=activeio-core -Dversion=3.1-SNAPSHOT -Dpackaging=jar - 
> Dfile=/path/to/file
>
>    Alternatively, if you host your own repository you can deploy the  
> file there:
>        mvn deploy:deploy-file -DgroupId=org.apache.activemq - 
> DartifactId=activeio-core -Dversion=3.1-SNAPSHOT -Dpackaging=jar - 
> Dfile=/path/to/file -Durl=[url] -DrepositoryId=[id]
>
>    Path to dependency:
>    	1) org.apache.camel:camel-jms:bundle:1.4-SNAPSHOT
>    	2) org.apache.activemq:activemq-core:jar:5.0.0
>    	3) org.apache.activemq:activeio-core:jar:3.1-SNAPSHOT
>
> 2) org.apache.activemq:activeio-core:test-jar:tests:3.1-SNAPSHOT
>
>    Try downloading the file manually from the project website.
>
>    Then, install it using the command:
>        mvn install:install-file -DgroupId=org.apache.activemq - 
> DartifactId=activeio-core -Dversion=3.1-SNAPSHOT -Dclassifier=tests - 
> Dpackaging=test-jar -Dfile=/path/to/file
>
>    Alternatively, if you host your own repository you can deploy the  
> file there:
>        mvn deploy:deploy-file -DgroupId=org.apache.activemq - 
> DartifactId=activeio-core -Dversion=3.1-SNAPSHOT -Dclassifier=tests - 
> Dpackaging=test-jar -Dfile=/path/to/file -Durl=[url] -DrepositoryId=[id]
>
>    Path to dependency:
>    	1) org.apache.camel:camel-jms:bundle:1.4-SNAPSHOT
>    	2) org.apache.activemq:activemq-core:jar:5.0.0
>    	3) org.apache.activemq:activeio-core:test-jar:tests:3.1-SNAPSHOT
>
> ----------
> 2 required artifacts are missing.
>
> for artifact:
>    org.apache.camel:camel-jms:bundle:1.4-SNAPSHOT
>
> from the specified remote repositories:
>    repo1.maven (http://repo1.maven.org/maven2/),
>    central (http://repo1.maven.org/maven2),
>    apache.snapshots (http://people.apache.org/repo/m2-snapshot-repository 
> ),
>    uface.m2 (http://uface.googlecode.com/svn/maven/),
>    open.iona.m2 (http://repo.open.iona.com/maven2),
>    apache.incubating.releases (http://people.apache.org/repo/m2-incubating-repository

> )
>
>
>
>
>
> On May 31, 2008, at 11:42 AM, Claus Ibsen (JIRA) wrote:
>
>   
>>    [ https://issues.apache.org/activemq/browse/CAMEL-559?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=43137

>> #action_43137 ]
>>
>> Claus Ibsen commented on CAMEL-559:
>> -----------------------------------
>>
>> Hadrian. I have tried to remove dep on the big apache-activemq and  
>> it runs on my local laptop.
>>
>> I have commited a chage - it's still on ActiveMQ 5.0.0 and JTA 1.0.
>> Could you review the change, commit log will be in the camel-commits  
>> mailinglist:
>>
>> Modified: D:\project\camel\apache-camel\pom.xml
>> Modified: D:\project\camel\pom.xml
>> Sending content: D:\project\camel\apache-camel\pom.xml
>> Sending content: D:\project\camel\pom.xml
>> Completed: At revision: 662040
>>
>>
>>     
>>> Upgrade to ActiveMQ 5.1.0
>>> -------------------------
>>>
>>>                Key: CAMEL-559
>>>                URL: https://issues.apache.org/activemq/browse/CAMEL-559
>>>            Project: Apache Camel
>>>         Issue Type: Task
>>>         Components: camel-jms
>>>   Affects Versions: 1.4.0
>>>           Reporter: Claus Ibsen
>>>           Assignee: Claus Ibsen
>>>            Fix For: 1.4.0
>>>
>>>        Attachments: CAMEL-559_activemq510.patch
>>>
>>>
>>>       
>> -- 
>> This message is automatically generated by JIRA.
>> -
>> You can reply to this email to add a comment to the issue online.
>>
>>     
>
>
>   


Mime
View raw message